// file: lat_get_2.cc
//

// isip include files
//
#include "lattice.h"
#include "lattice_constants.h"

// method: get_lang_model_cc
//
// arguments:
//  char_1*& lang_model_a: (output) language model used for generating lattice
//  
// return: a logical_1 indicating status
//
// this method returns the language model used for lattice generation
//
logical_1 Lattice::get_lang_model_cc(char_1*& lang_model_a) {

  // allocate memory for the output buffer
  //
  if (lang_model_a != (char_1*)NULL) {
    delete [] lang_model_a;
  }
  lang_model_a = new char_1[strlen((char*)lang_model_d)+1];
  strcpy((char*)lang_model_a, (char*)lang_model_d);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
